#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    char a, b;
    cin >> a >> b;
    int n, m;
    cin >> n >> m;
    if(abs(n-m) > 1) {
    	cout << "nemoguce";
    	return 0;
    }
    if(n > m) {
    	cout << a;
    	for(int i = 0; i < m; i++) cout << b << a;
    } else if(n == m) {
    	for(int i = 0; i < n; i++) cout << a << b;
    } else {
    	cout << b;
    	for(int i = 0; i < n; i++) cout << a << b;
    }
    return 0;
}